---
# tasks file for installationCA
- name: Install python3 
  yum:
   name: python3
   state: present

- name: Enable epel for pip install
  yum:
    name: epel-release
    state: present
  register: dcos_yum_epel_install
  retries: 3
  delay: 60
  until: dcos_yum_epel_install is success
  

- name: Install required Packages for pip modules
  yum:
   name: "{{ packages }}"
   state: present
  vars:
    packages:
      - redhat-rpm-config
      - gcc
      - libffi-devel
      - python3-devel
      - openssl-devel
      - cargo
      - libselinux-python3
      - openssl
      - mod_ssl

- name: upgrade pip3
  pip:
    name: pip
    executable: pip3
    state: latest
  vars:
    ansible_python_interpreter: /usr/bin/python3.6

- name: Install pip3 modules - setuptools_rust
  pip:
    name: 
      - setuptools_rust
  vars:
    ansible_python_interpreter: /usr/bin/python3.6

- name: Install pip3 modules - crtptography and pyOpenSSL
  pip:
    name:
      - cryptography
      - pyopenssl
    executable: pip3
  vars:
    ansible_python_interpreter: /usr/bin/python3.6
  